//
//  GetMemberInfoResponse.swift
//  SodaLive
//
//  Created by klaus on 2023/08/10.
//

import Foundation

enum MemberRole: String, Decodable {
    case USER, CREATOR, AGENT, ADMIN, BOT
}

struct GetMemberInfoResponse: Decodable {
    let can: Int
    let isAuth: Bool
    let role: MemberRole
    let messageNotice: Bool?
    let followingChannelLiveNotice: Bool?
    let followingChannelUploadContentNotice: Bool?
}
